---
title: Meeting Minutes 2021-10-14
date: 2021-10-14
attendees:
  - toddrosedahl,ibm
  - timansell,google
  - toshaanbharvani,vantosh
  - lancealbertson,oregonstateuniversity
  - karolgugala,antmicro
draft: false
---

# LibreBMC SIG Meeting

Meeting date: 14 October 2021
Access link: https://zoom.us/j/91597478078
Meeting ID: 91597478078


# Call to Order

### Anti-trust Reminder

This is a reminder that all OpenPOWER Foundation activities are subject to strict compliance with the OpenPOWER Foundation’s Antitrust Guidelines.  Each individual participant and attendee at this meeting is responsible for knowing the contents of the Antitrust Guidelines, and for complying with the Antitrust Guidelines.  Copies of the Antitrust Guidelines are available at: [Antitrust Guidelines](https://drive.google.com/drive/folders/1k9F3ww5cQL30xQvUL1dt4DE5qLVLax_J?ths=true) in Google Drive or  [Antitrust Guidelines OPF](https://members.openpowerfoundation.org/wg/OPF/document/498) in OpenPOWER Foundation member area.
New version [HERE](https://files.openpower.foundation/s/k5Hny649q3XHSqk)


# AGENDA


## Getting hardware to people -- Update

There are 3 components: host system (AC922), Interposer board, DC-SCM Board.

 * AC922
     * 1 is in Rochester
     * 1 is in Australia
     * 1 is in Sunnyvale, USA @ Google
     * 1 is in Seattle, USA @ Google
     * Loaner from IBM Poland to Antmicro is in process
         * System is ready to ship
         * **Antmicro needs to sign paperwork before it can be shipped**
         * **Karol to check on ths**
     * Further action on aquiring AC922s
         * Antmicro is purchasing one and should have it soon
             * Snags have been worked through and reports are it should arrive soon
             * **Hung up in customs.  Urgeny is on it**
         * VanTosh will also be purchasing at least one
             * expected to arrive tomorrow 15/10/2021


 * Interposer : [Source](https://git.openpower.foundation/librebmc/ac922interposer)
     * 6 pieces made.
         * 2 are in Rochester
         * 2 are in Australia
         * 2 are at Antmicro
     * **Parts for 4 more ordered.  Six different components.**
         * **5 of the 6 have been delivered**
         * **1 part is on backorder from Mouse.  Outlook TBD.**

 *  DC-SCM board
     *  4 boards, but only 3 have FPGAs
         *  Google is providing some to Antmicro.
             *  **Still waiting for parts for 4th**
         *  Antmicro shipped one to Australia
             *  **Update on arrival date?  Should be coming next week**

     *  Need to start working on getting Lattice parts for the DC-SCM board.  Michael will take the lead on this.
         *  PCBs sent in for production for lattice FPGA
         *  Still need memory and ethernet parts
         *  Marshall offered to help if there are issues getting FPGAs
         *  **Still waiting. Karol to check on status**

## DC-SCM 2.0 Working Group -- Meets bi-weekly
*    **Presentation of LibreBMC to the OCP DC-SCM working group was done on OCt 4th by Todd**
        * **Lots of good discussion was had**
        * **See the recording here if interested**
         https://www.opencompute.org/wiki/Hardware_Management/Hardware_Management_Module
         {{< youtube id="toroFKx3VQo" >}}

## OCP Summit in San Jose -- Nov 9th and 10th

 * Want to have a "LibreBMC" setup for OCP Summit booth
     * Plan to ship from Rochester.  Need a DC-SCM card in Rochester.
         * **Karol to check on shipping 1 board to Rochester or OCP**
     * Cannot power the AC922 at the booth
         * **There will be a screen at the booth.  A demo and various presentations could be playing on it.**

* LibreBMC was approved for a 5 minute "lightening" presentation.
    * **Todd did the pitch and will present in person.  Will anyone else be there in person?**

 * In addition to the 5 minute live presentation, a PDF can be shown as a part of the virtual conference
     * **Todd did the initial PDF pitch.  It is submitted.**
     * **Looking for updates from Antmicro on DC-SCM details.  Karol to update pitch**
     * **Final Deadline is Oct 25th**
 
 *  Also, a demo can be shown as a part of the virtual conference
     * **Mikey did the initial video and it is submitted**
         * Went through boxarty.  Showed the hardware and the system booted
     * **Looking to update it with an actual DC-SCM demo by the 25th**
     * **What to show on the demo**
         * Boxarty
         * DC-SCM card install
         * System booting with DC-SCM
         * BMCweb UI.
         * Sensors (fan speeds, powers, etc) could be shown.




## Open Power Foundation Summit  Oct 28th
* **Virtual only**
* **We should present libreBMC there.**
    * **Roughly the same pitch that we will use for the OCP virtual content and that I gave to the DC-SCM WG**
    * **Would like to include the demo as well.  With DC-SCM if possible**

## SC21 in St. Louis -- Nov 14th to Nov 19th
* **There is an opencapi booth there**
*  **Trying to work with them to get libreBMC some exposure at that booth**
*  **Anyone going to be there in person?**

## Gateware

* We **need** to get to a "real" LiteX based SoC rather than a FuseSoC + LiteX generator based mismash.
    *  See last weeks agenda/minutes for examples and requirements
    *  Work is ongoing on this.


## Software



 * **Any new updates here?**

    

## Workgroup Collaboration Tools

 * [Meeting Minutes](https://meetingminutes.openpower.foundation/librebmc/)
   https://meetingminutes.openpower.foundation/librebmc/
   
 * Toshaan is targeting Sept for everything to be working as intended
 
 * Meeting invites are still not seeming to get mailed?
     * Long term TODO : Need to make the system actually sends emails with ical attachments.  It will take awhile to make this work.  Rather we should have interested parties import the cal and get notifications.
     * [WebSys Document](https://files.openpower.foundation/s/Sj756P5B39T7XnP)
     * **Meeting invites should include a link to this agenda so everyone can add agenda topics.  Todd to add to the Australia time invite.  Michael/Karol to add to the Europe time invite**

- OPF Discuss (with calendar and link to chat)
https://discuss.openpower.foundation/c/sig/librebmc/11
webcal://discuss.openpower.foundation/c/sig/librebmc/l/calendar.ics

- Slack / IRC / Mattermost
https://openpowerfoundation.slack.com/archives/C01UVKFKUQY
#librebmc on libera (namespace)
https://chat.openpower.foundation/opf/channels/librebmc 

- OPF Files
https://files.openpower.foundation/s/iZRseq3XLtRcjtX

- OPF Discuss
https://discuss.openpower.foundation/c/sig/librebmc/11 

- OPF GIT repository
https://git.openpower.foundation/librebmc/librebmc 
Will be mirrored to github and gitlab

- OPF Kanban (linked with chat)
https://kanban.openpower.foundation/b/hgDqwnbiZDHFR3B3b/librebmc


 
## New Topics?

* It was suggested that we should have a logo for libreBMC.  Any thoughts from the team.  **Nice to have, but should not be a focus right now**
* Open the software stack to the world (talk to Mikey OzLab)
    * Step 1:  Get the FPGA/DC-SCM card booting the AC922
    * Step 2:  Incorporate microwatt into lite-x natively.
        * Question:  Is this required before we open it up?  Or is this really step 3?
    * Step 3:  Open the software to the world
        * Need others to be able to re-create the results.
        * Build all pieces -- Core, peripherals, OpenBMC,etc
        * Need official OpenBMC project and a makefile, bitbake/etc
    * Step 4:  Include the firmware into the CI infrastructure
    * Step 5:  Enhancements -- hoping for further industry participation
        * Full FPGA support (I2C, FSI, etc) More than just bit banging
        * Resource usage -- Shrink micro-watt to get 4 cores.
            * See requirements from Tim A. on last call
        * Full OpenBMC support expected for a standard server


## Next Meeting

{{< localdate date="2021-10-27" time="22:00">}}
