---
title: Meeting Minutes 2022-01-26
date: 2022-01-26
attendees:
  - toddrosedahl,ibm
  - toshaanbharvani,vantosh
  - timansell,google
  - antonblanchard,ibm
  - michaelneuling,ibm
  - lancealbertson,oregonstateuniversity
  - allancantle,allancantle
  - 
draft: false
---

# LibreBMC SIG Meeting

Meeting date: 26 January 2022
Access link: https://zoom.us/j/91597478078
Meeting ID: 91597478078


# Call to Order

### Anti-trust Reminder

This is a reminder that all OpenPOWER Foundation activities are subject to strict compliance with the OpenPOWER Foundation’s Antitrust Guidelines.  Each individual participant and attendee at this meeting is responsible for knowing the contents of the Antitrust Guidelines, and for complying with the Antitrust Guidelines.  Copies of the Antitrust Guidelines are available at: [Antitrust Guidelines](https://drive.google.com/drive/folders/1k9F3ww5cQL30xQvUL1dt4DE5qLVLax_J?ths=true) in Google Drive or  [Antitrust Guidelines OPF](https://members.openpowerfoundation.org/wg/OPF/document/498) in OpenPOWER Foundation member area.
New version [HERE](https://files.openpower.foundation/s/k5Hny649q3XHSqk)


# AGENDA

 
  * Follow-up Items from prior meetings:
      
      * Is there a way around the issue of having a ROT installed in order to load the FPGA from the flash? A "jumper card" for instance?  
          * **A small jumper board has been released.**
          * https://github.com/antmicro/dc-scm-rot-jumper-card
      * **A bringup board has been released -- DC-SCM card plugs into that for bringup.**
          * https://github.com/antmicro/dc-scm-breakout-board
     

## Getting hardware to people -- Update

* ECP5 components with Antmicro

## Bringup

* Any update


## OCP DC-SCM 2.0 Working Group -- Meets bi-weekly

* DC-SCM 2.0 spec is entering the approval phases.  Plan for release in April.
* Antmicro participation is a WIP
* Todd to run a call with Google and some other key players to discuss our common direction.  TBD.

## Conference Reports

* Outcome was that Todd is to schedule LibreBMC calls next year with the following:  WIP.
  * Kameleon
      * Doing an FPGA based ASIC/ROT for security
  * AMI
  * Ampere
  * ASPEED
  * RunBMC FPGA
  * GOWIN

## Gateware

* **Any updates here?** 

## Software

 * **Any updates here?**


## Workgroup Collaboration Tools

 * [Meeting Minutes](https://meetingminutes.openpower.foundation/librebmc/)
   https://meetingminutes.openpower.foundation/librebmc/
   
 
 * Meeting invites are still not seeming to get mailed?
     * Long term TODO : Need to make the system actually sends emails with ical attachments.  It will take awhile to make this work.  Rather we should have interested parties import the cal and get notifications.
    
     * [WebSys Document](https://files.openpower.foundation/s/Sj756P5B39T7XnP)
     * Meeting invites should include a link to this agenda so everyone can add agenda topics.  Todd to add to the Australia time invite.  Michael/Karol to add to the Europe time invite
     * **Toshaan is testing the automatic meeting notice generation**

- OPF Discuss (with calendar and link to chat)
https://discuss.openpower.foundation/c/sig/librebmc/11
webcal://discuss.openpower.foundation/c/sig/librebmc/l/calendar.ics
**Todd needs to do something here to get this cal entry sent out**

- Slack / IRC / Mattermost
https://openpowerfoundation.slack.com/archives/C01UVKFKUQY
https://chat.openpower.foundation/opf/channels/librebmc
#librebmc on libera (namespace)
https://chat.openpower.foundation/opf/channels/librebmc 

- OPF Files
https://files.openpower.foundation/s/iZRseq3XLtRcjtX

- OPF Discuss
https://discuss.openpower.foundation/c/sig/librebmc/11 

- OPF GIT repository
https://git.openpower.foundation/librebmc/librebmc 
Will be mirrored to github and gitlab

- OPF Kanban (linked with chat)
https://kanban.openpower.foundation/b/hgDqwnbiZDHFR3B3b/librebmc


 
## New Topics

* **Alan Cantile to present HPCM and discuss options for using LibreBMC on the chassis**
    * **Interesting discussion.  As a first step, having LibreBMC boot a 2 socket P10 in the HPCM form factor seems doable.  The FPGA on the Host Interface board would have the LibreBMC function.  The interface from the HIB to the HPCM module is PCI (with its associated side band channels).  CPLDs would need to translate the signals such as FSI and LPC.  Could use the LTPI design point. Todd/Allan will stay in touch on this as the project progresses.  As a future design point, the HPMC could have the LibreBMC function embedded on it and the P10 modules could boot independently and be knitted together later**

* How do we get more people involved? **Nothing new here**
    * Need to get ready images to consume by people
    * Need LiteX-Hub support and integration
    * Add more FPGA boards supports
    * Get it running on Raspbery PI
    * Then add some documentation
    * Badges and certificates
    

* It was suggested that we should have a logo for libreBMC.  Any thoughts from the team.  Nice to have, but should not be a focus right now.
    * **I did see an offer of help for a logo.  I will follow up**

* Open the software stack to the world **This is not new, but worth reminding us again of the next steps**
    * Step 1:  Get the FPGA/DC-SCM card booting the AC922
    * Step 2:  Incorporate microwatt into lite-x natively.
        
    * Step 3:  Enable others
        * Need others to be able to re-create the results.
        * Build all pieces -- Core, peripherals, OpenBMC,etc
        * Need official OpenBMC project and a makefile, bitbake/etc
    * Step 4:  Include the firmware into the CI infrastructure
    * Step 5:  Enhancements -- hoping for further industry participation
        * Full FPGA support (I2C, FSI, etc) More than just bit banging
        * Resource usage -- Shrink micro-watt to get 4 cores.
            * See requirements from Tim A. on last call
        * Full OpenBMC support expected for a standard server



## Next Meeting

{{< localdatetime date="2022-02-10" time="16:00" >}}